# class AssetLibrary

#### package lime.utils

Available on all platforms

### Constructor

###

`new ()`

### Variables

###

`onChange:Event<Void ‑> Void> = new Event<Void>()`

### Methods

###

`exists (id:String, type:String):Bool`

###

`getAsset (id:String, type:String):Dynamic`

###

`getAudioBuffer (id:String):AudioBuffer`

###

`getBytes (id:String):Bytes`

###

`getFont (id:String):Font`

###

`getImage (id:String):Image`

###

`getPath (id:String):String`

###

`getText (id:String):String`

###

`isLocal (id:String, type:String):Bool`

###

`list (type:String):Array<String>`

###

`load ():Future<AssetLibrary>`

###

`loadAsset (id:String, type:String):Future<Dynamic>`

###

`loadAudioBuffer (id:String):Future<AudioBuffer>`

###

`loadBytes (id:String):Future<Bytes>`

###

`loadFont (id:String):Future<Font>`

###

`loadImage (id:String):Future<Image>`

###

`loadText (id:String):Future<String>`

###

`unload ():Void`

### Static methods

###

`staticfromBytes (bytes:Bytes, ?rootPath:String):AssetLibrary`

###

`staticfromFile (path:String, ?rootPath:String):AssetLibrary`

###

`staticfromManifest (manifest:AssetManifest):AssetLibrary`

###

`staticloadFromBytes (bytes:Bytes, ?rootPath:String):Future<AssetLibrary>`

###

`staticloadFromFile (path:String, ?rootPath:String):Future<AssetLibrary>`

###

`staticloadFromManifest (manifest:AssetManifest):Future<AssetLibrary>`